Gda.Column – Gda-6.0 Reference Manual

# Column

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_column_get_type ()" ) ]
public class Column : Object
Namespace: Gda
Package: Gda-6.0

## Content:

### Properties:

- public string desc { owned get; set; }
- public string id { owned get; set; }
- public string name { get; set; }

### Creation methods:

- public Column ()

### Methods:

- public Column copy ()
- public bool get_allow_null ()
- public bool get_auto_increment ()
- public unowned string get_dbms_type ()
- public unowned Value? get_default_value ()
- public unowned string get_description ()
- public Type get_g_type ()
- public unowned string get_name ()
- public int get_position ()
- public void set_allow_null (bool allow)
- public void set_auto_increment (bool is_auto)
- public void set_dbms_type (string dbms_type)
- public void set_default_value (Value? default_value)
- public void set_description (string descr)
- public void set_g_type (Type type)
- public void set_name (string name)
- public void set_position (int position)

### Signals:

- public virtual signal void g_type_changed (Type old_type, Type new_type)
- public virtual signal void name_changed (string old_name)

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref